# Generated by Django 3.0.2 on 2021-03-24 01:41

import DjangoAppCenter.extensions.fields.snowflake.core
import DjangoAppCenter.extensions.fields.snowflake.field
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Medicine',
            fields=[
                ('id', DjangoAppCenter.extensions.fields.snowflake.field.SnowFlakeField(db_column='id', default=DjangoAppCenter.extensions.fields.snowflake.core.get_snowflake_id, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255, verbose_name='名称')),
                ('abbreviation', models.CharField(blank=True, editable=False, max_length=255, null=True, verbose_name='首字母缩写')),
                ('pinyin', models.CharField(blank=True, editable=False, max_length=255, null=True, verbose_name='拼音全拼')),
                ('data_source', models.CharField(blank=True, editable=False, max_length=512, null=True, verbose_name='数据来源')),
                ('update_time', models.DateTimeField(auto_now=True, verbose_name='数据更新时间')),
                ('data_completion', models.FloatField(blank=True, default=0, editable=False, null=True, verbose_name='数据完整度')),
                ('spec', models.CharField(blank=True, max_length=255, null=True, verbose_name='规格')),
                ('dosage_unit', models.CharField(blank=True, max_length=255, null=True, verbose_name='剂量单位')),
                ('preparation', models.CharField(blank=True, max_length=255, null=True, verbose_name='剂型')),
                ('pack_unit', models.CharField(blank=True, max_length=255, null=True, verbose_name='包装单位')),
                ('manufacture', models.CharField(blank=True, max_length=255, null=True, verbose_name='生产厂家')),
                ('approval_number', models.CharField(blank=True, max_length=255, null=True, verbose_name='批准文号')),
                ('barcode', models.CharField(blank=True, max_length=255, null=True, verbose_name='条形码')),
                ('ro', models.CharField(choices=[('处方', '处方'), ('非处方', '非处方'), ('甲类非处方', '甲类非处方'), ('乙类非处方', '乙类非处方'), ('尚不明确', '尚不明确')], default='尚不明确', max_length=64, null=True, verbose_name='处方级别')),
                ('function', models.TextField(blank=True, null=True, verbose_name='功能主治')),
                ('brand', models.CharField(blank=True, max_length=255, null=True, verbose_name='品牌')),
                ('brand_abbreviation', models.CharField(blank=True, editable=False, max_length=255, null=True, verbose_name='首字母缩写')),
                ('brand_pinyin', models.CharField(blank=True, editable=False, max_length=255, null=True, verbose_name='拼音全拼')),
                ('storage', models.CharField(blank=True, max_length=255, null=True, verbose_name='贮藏')),
                ('origin', models.CharField(blank=True, max_length=255, null=True, verbose_name='产地')),
                ('tag', models.CharField(blank=True, max_length=512, null=True, verbose_name='标签')),
                ('prod_name', models.CharField(blank=True, max_length=255, null=True, verbose_name='商品名称')),
                ('expiration', models.CharField(blank=True, max_length=255, null=True, verbose_name='有效期')),
                ('dosage', models.TextField(blank=True, max_length=600, null=True, verbose_name='用法用量')),
            ],
            options={
                'verbose_name': '药品',
                'verbose_name_plural': '药品',
                'db_table': 'medicine',
            },
        ),
        migrations.CreateModel(
            name='Instruction',
            fields=[
                ('id', DjangoAppCenter.extensions.fields.snowflake.field.SnowFlakeField(db_column='id', default=DjangoAppCenter.extensions.fields.snowflake.core.get_snowflake_id, editable=False, primary_key=True, serialize=False)),
                ('key', models.CharField(max_length=64, verbose_name='选项名称')),
                ('value', models.TextField(verbose_name='选项内容')),
                ('order', models.IntegerField(default=0, verbose_name='排序编号')),
                ('medicine', models.ForeignKey(db_column='medicine_id', db_constraint=False, on_delete=django.db.models.deletion.CASCADE, related_name='instructions', related_query_name='medicine', to='medicine.Medicine', verbose_name='关联药品')),
            ],
            options={
                'verbose_name': '药品说明书',
                'verbose_name_plural': '药品说明书',
                'db_table': 'instruction',
            },
        ),
        migrations.CreateModel(
            name='Image',
            fields=[
                ('id', DjangoAppCenter.extensions.fields.snowflake.field.SnowFlakeField(db_column='id', default=DjangoAppCenter.extensions.fields.snowflake.core.get_snowflake_id, editable=False, primary_key=True, serialize=False)),
                ('file', models.ImageField(upload_to='', verbose_name='文件')),
                ('url', models.CharField(editable=False, max_length=512, verbose_name='图片链接')),
                ('order', models.IntegerField(default=0, verbose_name='排序')),
                ('description', models.CharField(blank=True, max_length=32, null=True, verbose_name='描述')),
                ('medicine', models.ForeignKey(db_column='medicine_id', db_constraint=False, on_delete=django.db.models.deletion.CASCADE, related_name='images', related_query_name='medicine', to='medicine.Medicine', verbose_name='关联药品')),
            ],
            options={
                'verbose_name': '药品图片',
                'verbose_name_plural': '药品图片',
                'db_table': 'image',
            },
        ),
    ]
